# CUTLASS: cutlass::arch::Mma< gemm::GemmShape< 2, 2, 1 >, 1, half_t, layout::ColumnMajor, half_t, layout::RowMajor, half_t, layout::ColumnMajor, OpMultiplyAdd > Struct Template Reference

cutlass::arch::Mma< gemm::GemmShape< 2, 2, 1 >, 1, half_t, layout::ColumnMajor, half_t, layout::RowMajor, half_t, layout::ColumnMajor, OpMultiplyAdd > Struct Template Reference

Matrix multiply-add operation.

`#include <mma_sm60.h>`

## Public Types

using | Shape = gemm::GemmShape< 2, 2, 1 >

## Public Member Functions

CUTLASS_HOST_DEVICE void | operator() (Array< half_t, 4 > &d, Array< half_t, 2 > const &a, Array< half_t, 2 > const &b, Array< half_t, 4 > const &c)

## Member Typedef Documentation

using cutlass::arch::Mma< gemm::GemmShape< 2, 2, 1 >, 1, half_t, layout::ColumnMajor, half_t, layout::RowMajor, half_t, layout::ColumnMajor, OpMultiplyAdd >::Shape = gemm::GemmShape<2, 2, 1>

## Member Function Documentation

CUTLASS_HOST_DEVICE void cutlass::arch::Mma< gemm::GemmShape< 2, 2, 1 >, 1, half_t, layout::ColumnMajor, half_t, layout::RowMajor, half_t, layout::ColumnMajor, OpMultiplyAdd >::operator() | ( | Array< half_t, 4 > & | d,
|  | Array< half_t, 2 > const & | a,
|  | Array< half_t, 2 > const & | b,
|  | Array< half_t, 4 > const & | c
| ) |  |

inline

The documentation for this struct was generated from the following file:

- arch/mma_sm60.h